Which phones / tablets are compatible with QardioArm 2

QardioArm 2 requires a device with:

• Bluetooth 5.0

• iOS 12.0 or later

• Android 9 or later

 

And works with:

• iPhone, iPod, iPad and Apple Watch

• Android phones and tablets

 

In order to use your QardioArm 2 blood pressure monitor, you must download the free Qardio App from the Apple App Store or Google Play Store.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request